config:
  target: "http://localhost:8000"
  tls:
    rejectUnauthorized: false
  phases:
    - duration: 10
      arrivalRate: 50
  defaults:
    headers:
      Authorization: "{{ $processEnvironment.SERVICE_API_KEY }}"
scenarios:
  - flow:
      - post:
          url: "/api/urls/"
          json:
            longUrl: "http://google.com"
          capture:
            json: "$.shortUrl"
            as: "shortUrl"
      - get:
          url: "/api/urls/{{ shortUrl }}"
          followRedirect: false
      - get:
          url: "/api/visits/annalistic"
